## sbuild 0.62.2

=== debian/changelog ===
sbuild (0.62.2-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/patches/do-not-install-debfoster-into-chroots.patch: 
      do not install debfoster into the chroots because it is in universe and 
      not needed for package building itself.
    - debian/patches/run-pre-build-hooks-as-root.patch: 
      run pre-build hooks as root (Closes: #607228)
  * Now that the package uses a patch system, don't modify the files directly;
    instead, put the changes in the respective patches and add the DEP-3
    patch tagging guidelines to them.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sun, 01 May 2011 16:55:16 +0200

sbuild (0.62.2-1) unstable; urgency=low

  * New release.
  * sbuild:
    - New options --no-apt-clean, --no-apt-update, --no-apt-upgrade and
      --no-apt-distupgrade have been added to allow these actions to be
      disabled even when set as the default in the configuration.
    - root is not required to be a member of the sbuild group in order
      to run schroot via the sbuild-schroot wrapper
      (Closes: #619128, #619002).
    - Don't require HOME to be set in the environment (Closes: #619288).
    - Work around broken build-essential on Ubuntu Lucid
      (Closes: #619526).  Thanks to Marc Deslauriers.
    - --keep-session is replaced by
      --purge-session=(always|successful|never).  This will allow the
      session to be purged for all, successful and no builds,
      respectively (Closes: #619332).
    - sources.list fragments stored in /etc/apt/sources.list.d have
      0644 permissions, so that normal users can run apt-cache in the
      chroot during a build (Closes: #620797).  Thanks to Julian Andres
      Klode for identifying this problem.
    - Log filtering may be disabled using $log_filter = 0 in the
      configuration (Closes: #620589).  The replacement text is now
      also surrounded with "«" and "»" so that strings such as CHROOT
      and BUILDDIR can't be confused with any actual appearance of the
      same string in the build log.
    - Log colouring may be disabled using $log_colour = 0 in the
      configuration.
    - Improve binNMU handling to permit binNMUs for multiarch packages
      (Closes: #620112).  Currently, binary NMUs use the current date
      in the new changelog entry, but co-installable packages require
      an identical changelog.  To avoid this, take the date from the
      previous changelog entry to ensure the same date for all binNMUs.
      Thanks to Anders Kaseorg for this patch.
    - Abort early if maintainer is not defined when performing a binNMU
      or appending a version suffix (Closes: #620758).
  * sbuild.conf:
    - Don't set a default value for $build_dir (Closes: #619416).
      This value is set each run, and so varies between builds when
      generating the configuration file.  Exclude from the generated
      output to prevent unnecessary differences between builds.
    - $purge_session uses the same purge modes as $purge_build_deps and
      $purge_build_directory, rather than a boolean value.
  * buildd:
    - Merge latest changes from buildd-0.61.0.

 -- Roger Leigh <rleigh@debian.org>  Tue, 05 Apr 2011 10:46:49 +0100

sbuild (0.62.1-1) unstable; urgency=high

  * New release.
  * Fixed security issue in the sbuild-schroot wrapper program which
    did not enforce sbuild group membership in order to allow users
    to access the chroots as user sbuild.

 -- Roger Leigh <rleigh@debian.org>  Sun, 20 Mar 2011 23:06:52 +0000

sbuild (0.62.0-1) unstable; urgency=low

  * New release.
  * debian/control:
    - Build-Depend upon libexception-class-perl.
  * sbuild:
    - Resolvers:
      + 'apt' is now the default build dependency resolver.  Users should
        not see any significant changes compared with the old 'internal'
        resolver.  Please note that you may need to generate a GPG key
        for the local archive created for dependency package
        installation, if one does not already exist; see sbuild-update
        (--keygen) for further details.
      + The 'internal' build dependency resolver is deprecated.  It is
        not recommended for future use, and will be removed once it is no
        longer used by the buildd infrastructure.  Please use the 'apt'
        resolver as a drop-in replacement.
      + The 'aptitude' build dependency resolver will, unlike 'apt' and
        'internal', consider alternative dependencies by default, rather
        than only using the first alternative.  This is intended to both
        preserve backward compatibility, and make the 'aptitude'
        resolver the preferred choice for more complex situations, such
        as building for experimental.
      + The aptitude resolver can resolve complex dependencies, e.g.
        A | B, where A is uninstallable now correctly falls back to B.
        This is not the case for the internal or apt resolvers, which by
        intent do not make use of alternatives (they use the first
        alternative only.  sbuild now has full support for resolving
        alternatives, but this is not the default behaviour
        (Closes: #403246).  Please see #614807 for a proposed description
        of autobuilder-imposed build dependency restrictions in Policy.
      + All build dependency resolvers run dpkg with --force-confold.
        This means packages with modified conffiles in the chroot to not
        cause build failure.  This includes /etc/services and
        /etc/protocols from netbase (Closes: #576508).
    - Logging:
      + Long paths such as the chroot location and the build directory
        inside the chroot are now filtered in the build log and replaced
        with small, constant, abbreviations (Closes: #605763).  This makes
        the build logs comparable between builds with tools such as
        diff(1).
      + Logging messages have been improved, and important messages are
        now coloured when running interactively (does not affect log

