=== debian/control ===
Source: sbuild
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>, Roger Leigh <rleigh@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>> 7.0.0), groff-base, perl-modules, libexception-class-perl, libfilesys-df-perl, libio-zlib-perl, libmime-lite-perl, libdpkg-perl (>= 1.15.5)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=buildd-tools/sbuild.git
Vcs-Git: git://git.debian.org/git/buildd-tools/sbuild

Package: libsbuild-perl
Architecture: all
Section: perl
Depends: ${misc:Depends}, ${perl:Depends}, perl-modules, libexception-class-perl, libfilesys-df-perl, libio-zlib-perl, libmime-lite-perl, adduser, apt, apt-utils, exim4 | mail-transport-agent, dpkg-dev, devscripts (>= 2.10.26), dctrl-tools, schroot (>= 1.4.12), libdpkg-perl (>= 1.15.5)
Replaces: sbuild (<= 0.58.4-1)
Description: Tool for building Debian binary packages from Debian sources
 The sbuild suite of programs (wanna-build, buildd and sbuild) are
 used to build binary packages from source packages.  The wanna-build
 database tracks packages which require building; buildd schedules
 work from information it gets from the wanna-build database; sbuild
 does the actual package building.
 .
 This package contains the core library modules used by these
 programs.

Package: sbuild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, perl-modules, libsbuild-perl (= ${source:Version}), adduser
Recommends: fakeroot, debootstrap
Suggests: wget, deborphan
Description: Tool for building Debian binary packages from Debian sources
 The sbuild suite of programs (buildd and sbuild) are used to build
 binary packages from source packages.  sbuild does the actual package
 building.
 .
 sbuild uses chroots to build packages, which act as virtual, minimal
 operating system installations dedicated to package building.  This
 means that a number of environments may be used for building
 simultaneously on the same machines, for example stable, testing,
 unstable and experimental.  When coupled with schroot to create
 snapshots of chroots, sbuild may be used to build many packages in
 parallel.  A chroot envionment allows packages to be built in a
 controlled, clean environment.  sbuild installs only essential and
 build-essential packages, plus those in the package build
 dependencies.

Package: buildd
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libsbuild-perl, adduser, sbuild (>= ${source:Version}), sbuild (<< ${source:Version}.1~), dupload, cron, exim4 | mail-transport-agent, libyaml-tiny-perl
Suggests: wanna-build
Replaces: sbuild, ubuntu-dev-tools (<= 0.83)
Breaks: ubuntu-dev-tools (<= 0.83)
Description: Daemon for automatically building Debian binary packages from Debian sources
 The sbuild suite of programs (buildd and sbuild) are
 used to build binary packages from source packages.  The wanna-build
 database tracks packages which require building; buildd schedules
 work from information it gets from the wanna-build database; sbuild
 does the actual package building.
 .
 buildd is a daemon which will build Debian packages automatically
 using the wanna-build database to identify which packages need to be
 built.  Note that the wanna-build database is not packaged, and
 requires installing separately.
