=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f 2)
BUILDD_BUILD=$(shell echo ${VERSION} | grep -q 'buildd' && echo yes || echo no)

debian/build/config.status: configure
	dh_testdir

	[ -d debian/build ] || mkdir debian/build

	cd debian/build; \
	CFLAGS="$(CFLAGS)" ../../configure \
	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
	  --localstatedir=/var --mandir=\$${prefix}/share/man

build-indep: build
build-arch: build
build: debian/build/config.status debian/build-stamp
debian/build-stamp:  debian/build/config.status
	dh_testdir

	$(MAKE) -C debian/build all

	touch debian/build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -rf debian/build
	rm -rf debian/install
	rm -f debian/build-stamp

	dh_clean

install-indep: install
install-arch: install
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C debian/build install DESTDIR=$(CURDIR)/debian/install

	dh_install

	cp debian/buildd.forward debian/buildd/var/lib/buildd/.forward

	mkdir -p $(CURDIR)/debian/sbuild/usr/share/lintian/overrides
	cp $(CURDIR)/debian/sbuild.lintian-overrides $(CURDIR)/debian/sbuild/usr/share/lintian/overrides/sbuild

# Build architecture-independent files here.
binary-indep: build install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i -A debian/cvslogs.old
	dh_installexamples -i
	dh_installman -i
	dh_installcron -i
	if [ "${BUILDD_BUILD}" = "no" ]; then \
	  dh_installinit -i --no-start --no-restart-on-upgrade; \
	fi
	dh_perl -i
	dh_link -i
	dh_compress -i
	mv debian/buildd/usr/share/man/man1/buildd-abort.1 \
	  debian/buildd/usr/share/man/man1/buildd-abort.1.gz
	mv debian/buildd/usr/share/man/man8/buildd-make-chroot.8 \
	  debian/buildd/usr/share/man/man8/buildd-make-chroot.8.gz
	mv debian/buildd/usr/share/man/man1/buildd-update-chroots.1 \
	  debian/buildd/usr/share/man/man1/buildd-update-chroots.1.gz
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a -A debian/cvslogs.old
	dh_installexamples -a
	dh_installman -a
	dh_installinit -a --no-start --no-restart-on-upgrade
	dh_perl -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod 4755 $(CURDIR)/debian/sbuild/usr/lib/sbuild/sbuild-schroot
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install install-indep install-arch
